
package diagrams;

import java.awt.Color;
import java.awt.Font;

/**
 * Eine Instanz legt die visuellen Eigenschaften einer Skala fest.
 *
 * Es ist noch nicht entschieden, ob man eine Skala und ihren Titel
 * deutlicher trennen sollte oder nicht.
 * @author B. Gaertner
 */
public class ScaleProperties {

    Color lineColor;
    Color titleColor;
    Font scaleFont;
    Font titleFont;
    String scaleTitle;
    ValueFormatter formatter;
    int tickSize;

    public ScaleProperties (Color lc, Font sf, ValueFormatter fmt) {
        lineColor = lc;
        scaleFont = sf;
        tickSize = 6;
        formatter = fmt;
    }

}
