
package diagrams;

import java.text.DecimalFormat;

/**
 *
 * @author B. Gaertner
 */
public class DecimalLabelFormat implements ValueFormatter {

    private DecimalFormat formatter;

    public DecimalLabelFormat (String fmt) {
        formatter = new DecimalFormat(fmt);
    }

    @Override
    public String format(double value) {
        return formatter.format(value);
    }
}
