
package diagrams;

import java.awt.Graphics2D;

/**
 * Die Basisklasse für Darstellungselemente eines Diagramms.
 *
 * @author B. Gaertner
 */
public interface RenderableElement {

    /**
     * Die Methode zeichnet das Darstellungselement.
     * @param g
     */
    public void renderOn (Graphics2D g);
}
